function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ";\n\n                ",
        ": 6;\n                ",
        ": 0.5rem;\n                ",
        ": 1rem;\n                ",
        ": 0;\n\n                ",
        ": 12;\n                ",
        ": 0.5rem;\n                ",
        ": 1.25rem;\n                ",
        ": 35rem;\n\n                ",
        ": 18;\n                ",
        ": 0.5rem;\n                ",
        ": 1.75rem;\n                ",
        ": 49.125rem;\n\n                ",
        ": 24;\n                ",
        ": 0.5rem;\n                ",
        ": 2.5rem;\n                ",
        ": 60rem;\n\n                ",
        ": 30;\n                ",
        ": 0.5rem;\n                ",
        ": 4rem;\n                ",
        ": 75rem;\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
import { css, gridTokens, getBaseGridView } from '@salutejs/plasma-new-hope/emotion';
var _obj;
export var config = {
    defaults: {
        view: 'default'
    },
    variations: {
        view: {
            default: css(_templateObject(), getBaseGridView((_obj = {}, _define_property(_obj, gridTokens.smallMMinWidth, 0), _define_property(_obj, gridTokens.mediumSMinWidth, '35rem'), _define_property(_obj, gridTokens.mediumMMinWidth, '49.125rem'), _define_property(_obj, gridTokens.largeSMinWidth, '60rem'), _define_property(_obj, gridTokens.largeMMinWidth, '75rem'), _obj), 'default'), gridTokens.smallMColsCount, gridTokens.smallMGap, gridTokens.smallMMargin, gridTokens.smallMMinWidth, gridTokens.mediumSColsCount, gridTokens.mediumSGap, gridTokens.mediumSMargin, gridTokens.mediumSMinWidth, gridTokens.mediumMColsCount, gridTokens.mediumMGap, gridTokens.mediumMMargin, gridTokens.mediumMMinWidth, gridTokens.largeSColsCount, gridTokens.largeSGap, gridTokens.largeSMargin, gridTokens.largeSMinWidth, gridTokens.largeMColsCount, gridTokens.largeMGap, gridTokens.largeMMargin, gridTokens.largeMMinWidth)
        }
    }
};
